}

It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
high rated
Hi,

welcome to the official GOG Galaxy forum thread. Please read the below info first:

== CLOUD SAVES - STAGGERED RELEASE ==

The Cloud Saves backend will be enabled for selected users in batches. We expect the full rollout to take at least a few days. If the cloud saves feature didn't start working for you yet please give us a few days. We will be posting updates on the rollout process in this thread.

== GOG GALAXY FEATURES IN GAMES ==

List of games supporting various GOG Galaxy features:
Achievements: https://www.gog.com/games?feature=achievements&sort=bestselling&page=1
Cloud Saves: https://www.gog.com/games?feature=cloud_saves&sort=bestselling&page=1
Overlay: https://www.gog.com/games?feature=overlay&sort=bestselling&page=1

== BUG REPORTING ==

Please use: http://mantis.gog.com and include
1. steps to reproduce the bug (if possible)
2. screenshot or movie showing the bug (if possible)
3. Galaxy Client logs (location described on mantis report page)

== FEATURE SUGGESTIONS ==

Please use: http://www.gog.com/wishlist/galaxy. For feature suggestions and votes on them please try do explain how Galaxy and its users will really benefit from it.

== IMPORT ALREADY INSTALLED GAMES TO GALAXY ==

1. For GOG games installed using installers from the last few months (so called Galaxy-compatible installers)
Click the Galaxy logo button on top of the sidebar and select "scan and import folders" - it will find all compatible games within that folder and add them to the Client.

2. For remaining GOG game INSTALLATIONS
Find the game in the Library (click on the image of the game), then click the More button and select "Manage Installation" -> "Import folder" and point the folder selector into the folder where that game is installed.

== KNOWN ISSUES ==
- Galaxy cannot be launched by other users on the same computer

== CHANGELOG ==
1.2.27 Beta (October 24, 2017)
Changes and Improvements:
- A dialog will now be shown if the cloud save sync fails due to not enough space in the cloud
- Improved security in communication between Galaxy Overlay and it's UI
Bugfixes:
- MORE dropdown, or GOG Logo dropdown will not fail to open anymore (happened sometimes)
- [MacOS] Fixed Scan & Import falling in recursive loop, when encountering a symlink leading to root directory (Such symlinks happened in WINE games, eg. Baldur's Gate: The Original Saga)
- Fixed possible cloud saves synchronization freeze after a failure in receiving synchronization request
- Game update will no longer result in broken installation, when new version doesn't have previously installed language
- GOG Galaxy will no longer fail to update itself in some instances due to insufficient permissions
- Error popups (like "Failed to load game database") will be now translated to your application's language

1.2.28 Beta (October 31, 2017)
- New configuration tools for GOG Galaxy SDK

1.2.29 (November 14, 2017)
Changes and Improvements:
- Galaxy will no longer consider partial cloud saves sync (only pull) as complete
- Tweaked desktop notification animations
- Galaxy will no longer periodically fetch friends online status from the server (it will work OK via websockets)
Bugfixes:
- Unity games will no longer hang on Nvidia graphics cards with Overlay turned on
- Fixed several issues which caused game images in the sidebar to not appear
- Fixed a few cases where extracting the archive with game images did not happen (e.g. when the game was installed with an offline installer)
- Faster shutdown during a game update
- Overlay and game time tracking will properly work with games that uses launchers
- [macOS] Fixed a crash, which happend during updating Tyranny with all DLCs
- Fixed background image not being refreshed after it's source has been changed

1.2.30 Beta (December 04, 2017)
- Testing cloudstorage configuration

1.2.31 (07 December, 2017)
Changes and Improvements:
- Improved Overlay scaling on high resolution displays, as well as on low resolutions (for retro games on fullscreen)
- Decreased minimum resolution threshold required for overlay to work
- Game time is saved when closing Galaxy while a game is running
Bugfixes:
- [Windows 10 Fall Creator's update] Fixed Galaxy being auto-started by the system when auto-start was disabled in Galaxy settings
- [Windows] Fixed some cases of "Connection to Communication Service was lost and could not be restored"
- FPS counter will be properly showing up when using AMD graphics cards
- Desktop notification will not be shown if you are using fullscreen application (eg. playing non-GOG game)
- Fixed bug that caused problem with updating games because their files were marked as read only
- Game time tracking information will no longer be lost if you were disconnected when shutting down a game
- Fixed an issue with Overlay not showing up in Elex, when using AMD graphics cards
- Screenshots will work properly in DirectX8 games (eg. Zwei)
- Screenshots won't capture Overlay notifications in DirectX11 games (eg. Elex)
- Fixed rendering issue in OpenGL games (eg. Owlboy)
- Fixed rendering issue in DirectX8 games (eg. Mafia)

1.2.32 (December 20, 2017)
Changes and Improvements:
- Galaxy backend will try to determine best servers for Galaxy Updates
Bugfixes:
- Fix for GOG Galaxy starting very slowly
- Galaxy will not crash when was unable to read user preferences file during initialization
- Friend online notifications won't appear in batches after you wake your system from sleep, or regain internet connectivity
- Galaxy will not falsely bump your gametime tracking by huge value when failing to start a game

1.2.33 (January 10, 2018)
- GOG Galaxy SDK optimizations and bugfixes

1.2.34 (January 17, 2018)
- GOG Galaxy SDK small bugfix in logging routine

1.2.35 Beta (January 17, 2018)
Changes and Improvements:
- Chromium Embedded Framework was updated to version 62, resulting in improved CPU and memory performance
- Cloud copy of save games will be removed on next sync when local files are removed and quota is exceeded
Bugfixes:
- [MacOS] Fixed a bug with user avatar not being visible after installation
- [Windows] Fixed Unicode support in Galaxy Overlay

1.2.36 (January 31, 2018)
Changes and Improvements:
- Chromium Embedded Framework was updated to version 62, resulting in improved CPU and memory performance
- Cloud copy of save games will be removed on next sync when local files are removed and quota is exceeded
Bugfixes:
- Fixed a bug in GOG Galaxy SDK, which could cause games to crash
- [MacOS] Fixed a bug with user avatar not being visible after installation
- [Windows] Fixed Unicode support in Galaxy Overlay

1.2.37 (February 05, 2018)
Changes and Improvements:
- After quitting a game, GOG Galaxy will check if game updates are available
- Added indication on gameview that a game's beta channel is no longer available
- General improvements to download mechanism
Bugfixes:
- [Windows] Fixed GOG Galaxy Notifications Renderer's icon and details
- Fixed Galaxy self-update on MacOS with multiple system accounts
- Fixed issues with starting GOG Galaxy, when one of the configuration files was corrupt
- Fixed issue where some DOSBox games would be broken by Galaxy updates

1.2.38 Beta (Februrary 28, 2018)
- Released only to beta, it consisted changes from 1.2.39

1.2.39 (March 13, 2018)
Changes and Improvements:
- Increased the default number of download threads from 10 to 32. This should improve download speeds at the cost of CPU usage.
- Improvements to windows handling: size and position persistance, native behaviours
- [MacOS] GOG Galaxy notifications respect "Do Not Disturb mode"
- Small network improvements during GOG Galaxy update
Bugfixes:
- Fixed a bug with downloading older games in China
- Fixed rare issue where downloading a backup installer would fail with "Server problem" for no apparent reason
- [MacOS] Fixed showing %appName% instead of the application name in an error dialog

1.2.40 (March 28, 2018)
Changes and Improvements:
- Ability to log in or register a new account with your Facebook account
- Suggested friends will be visible on the bottom of Friends window
- New Find Friends window with suggested friends will be opened when you click "+" in Friends window
- Optimized network transfer in updater and fetching data for installation screen
- Galaxy version is now displayed in the settings window

Bugfixes:
- [Windows] Fixed font rendering in Friends window on 100% dpi scaling

1.2.41 (April 23, 2018)
Changes and Improvements:
- User Profiles - a personal space for every GOG.com user for socialising among members of the community.
* compare your game statistics with friends
* see what your friends are currently playing
* share text, photos and videos
* personalise profile with your description and backgrounds from the games you own

- Speed up aborting cloud sync in case of service downtime
- Changed default number of download threads back to 10, due to reports of a decrease in download speed

Bugfixes:
- Fixed message on game uninstallation
- Fixed a rare crash in games caused by Galaxy SDK

1.2.42 Beta (May 10, 2018)
Changes and Improvements:
- Change in internal database architecture
- [Windows] Several improvements in rendering of Galaxy icon

Bugfixes:
- Aborting and pausing downloads will happen nearly immediately
- Adjusted default size of friends window
Post edited May 11, 2018 by TheTomasz
avatar
hexaae: Unfortunately new CEF = issues with NVidia drivers for some GPUs: Galaxy's UI is now rendered with HW video acceleration resulting in purple/green corrupt gfx for many users.
Blame CEF HW acceleration incompatibility or Nvidia, but this bug has not been fixed yet and is now affecting not only Chrome UI, GeForce Experience UI, but also Galaxy UI now :(
Example (GeForce Experience image): https://ibb.co/gjEX2m (but it's the same with Chrome and GOG Galaxy, using new CEF)

Windows 10 x64 FCU 1709 (16299.192), Nvidia drivers 390.77 WHQL, GPU 980m
avatar
TROOPER181st: my whole GOG UI is blurry
May want to take a look at what you copied and pasted to see if it matches with your setup. Confirming that if it does would and explaining why it's different would help solve this issue.
So my GOG Galaxy client has been pestering me to update for a while now, so I finally got around to it and now... it says I have to upgrade my OS to even run (I am currently on Mac OS 10.10.5) and there doesn't appear to be a way to install or download the version that actually works for me.
avatar
Venom: snip
It might be nice to have some kind of GUI to delete and see what is stored in the cloud on Galaxy. If only to better prevent issues like this one, which appears to be that a user stored some goodies into Documents\Witcher 3 which is now being picked up by the cloud saves feature. That is my guess anyway.
avatar
Strongblade: So my GOG Galaxy client has been pestering me to update for a while now, so I finally got around to it and now... it says I have to upgrade my OS to even run (I am currently on Mac OS 10.10.5) and there doesn't appear to be a way to install or download the version that actually works for me.
Might be a dumb question, as I am not a MAC user... but is there a reason you don't just update or upgrade your OS? Isn't it free on MAC? Just asking because GOG has released a fair amount of bug fixes and improments to Galaxy, and with v1.3.0 likley not being far off it would be better to be on the latest version.

I'm not to sure if GOG stores old versions on their servers, but If I knew the version number you were on I might be able to find it.
Post edited February 03, 2018 by BKGaming
avatar
Strongblade: So my GOG Galaxy client has been pestering me to update for a while now, so I finally got around to it and now... it says I have to upgrade my OS to even run (I am currently on Mac OS 10.10.5) and there doesn't appear to be a way to install or download the version that actually works for me.
avatar
BKGaming: Might be a dumb question, as I am not a MAC user... but is there a reason you don't just update or upgrade your OS? Isn't it free on MAC? Just asking because GOG has released a fair amount of bug fixes and improments to Galaxy, and with v1.3.0 likley not being far off it would be better to be on the latest version.

I'm not to sure if GOG stores old versions on their servers, but If I knew the version number you were on I might be able to find it.
Some older Macs simply cannot upgrade past a certain point, and while i am not sure if my main machine is in that category or not, I do have older software that I rely on that may break if I do, and I cannot afford to break said software. So upgrading my OS, at least at this time, is not a viable option.

It's more of a case of frustration where the GOG Galaxy client auto-updates and is basically trying to force me to upgrade my OS without any warning, as opposed to at least giving me some kind of option or warning about the upgrade itself.
Post edited February 04, 2018 by Strongblade
avatar
hexaae: Unfortunately new CEF = issues with NVidia drivers for some GPUs: Galaxy's UI is now rendered with HW video acceleration resulting in purple/green corrupt gfx for many users.
Blame CEF HW acceleration incompatibility or Nvidia, but this bug has not been fixed yet and is now affecting not only Chrome UI, GeForce Experience UI, but also Galaxy UI now :(
Example (GeForce Experience image): https://ibb.co/gjEX2m (but it's the same with Chrome and GOG Galaxy, using new CEF)

Windows 10 x64 FCU 1709 (16299.192), Nvidia drivers 390.77 WHQL, GPU 980m
avatar
TROOPER181st: my whole GOG UI is blurry
You are not the only one. Last two updates Blurry Gog. Everywhere but on the selected item. Its like other part goes to fog :)

https://www.gog.com/forum/general/gog_galaxy_blurry_text_after_update
Hi,

We just released GOG Galaxy ver. 1.2.37. Notable changes include checking for game updates after quitting a game and improvements to download mechanism, also some bug fixes.

For full changelog see the top post.

Liosan
avatar
Strongblade: So my GOG Galaxy client has been pestering me to update for a while now, so I finally got around to it and now... it says I have to upgrade my OS to even run (I am currently on Mac OS 10.10.5) and there doesn't appear to be a way to install or download the version that actually works for me.
Yeah what the hell, I tried to start up GOG on 10.9 and it just doesn't start, I had to search for a while to find out that the minimum OS requirement of GOG changed. No warning whatsoever. Why was it done in such a sneaky way?
avatar
Strongblade: So my GOG Galaxy client has been pestering me to update for a while now, so I finally got around to it and now... it says I have to upgrade my OS to even run (I am currently on Mac OS 10.10.5) and there doesn't appear to be a way to install or download the version that actually works for me.
avatar
Carnzoid: Yeah what the hell, I tried to start up GOG on 10.9 and it just doesn't start, I had to search for a while to find out that the minimum OS requirement of GOG changed. No warning whatsoever. Why was it done in such a sneaky way?
Same for me. I have OS X 10.10.5 and galaxy won't load up anymore.

what's the point of a rogue update if it's gonna break the software?
I see the links in this old post for games with Galaxy features. But is there a list somewhere of all games that have cross play enabled?
I'm specifically looking for Warlords Battle Cry III crossplay, but would like to know the full list.
Post edited February 05, 2018 by kat1
avatar
Carnzoid: Yeah what the hell, I tried to start up GOG on 10.9 and it just doesn't start, I had to search for a while to find out that the minimum OS requirement of GOG changed. No warning whatsoever. Why was it done in such a sneaky way?
avatar
beefeater999: Same for me. I have OS X 10.10.5 and galaxy won't load up anymore.

what's the point of a rogue update if it's gonna break the software?
I didn't even notice it updated until I found my answer by googling it. Handled very poorly.
avatar
Carnzoid: Yeah what the hell, I tried to start up GOG on 10.9 and it just doesn't start, I had to search for a while to find out that the minimum OS requirement of GOG changed. No warning whatsoever. Why was it done in such a sneaky way?
Hello,

This might have been a quiet change (I agree, we'll do better next time) but unfortunately we need to use latest APIs to support new features. We're currently supporting macOS 10.11+ as it clearly states on gog.com/galaxy. What stops you guys from upgrading to at least 10.11?
avatar
Carnzoid: Yeah what the hell, I tried to start up GOG on 10.9 and it just doesn't start, I had to search for a while to find out that the minimum OS requirement of GOG changed. No warning whatsoever. Why was it done in such a sneaky way?
avatar
Fallen_Zen: Hello,

This might have been a quiet change (I agree, we'll do better next time) but unfortunately we need to use latest APIs to support new features. We're currently supporting macOS 10.11+ as it clearly states on gog.com/galaxy. What stops you guys from upgrading to at least 10.11?
You guys still support Windows XP and Vista, and yet both are out of extended support by Microsoft for some time.

OS X Capitan came out in September 2015. Less than 2 and half years ago. Isn't it cutting it short for support? some people still sport Macs from 2009 and below.

You shouldn't be able to update the software if it's gonna break it on end users, especially if you force the update when you launch it. that is not cool.
avatar
beefeater999: You guys still support Windows XP and Vista, and yet both are out of extended support by Microsoft for some time.
Not with Galaxy. Windows 7 and up is supported.
avatar
beefeater999: You guys still support Windows XP and Vista, and yet both are out of extended support by Microsoft for some time.
avatar
BKGaming: Not with Galaxy. Windows 7 and up is supported.
what's your point?

the galaxy support page also says it supports OS X 10.8 and above. thanks for making my argument stronger.
Attachments:
avatar
beefeater999: what's your point?
That what you said wasn't exactly accurate in relation to Galaxy.

avatar
beefeater999: the galaxy support page also says it supports OS X 10.8 and above. thanks for making my argument stronger.
No problem. I'm not saying you are wrong or that what you said doesn't have merit. GOG for sure should have provided some kind of warning or message that macOS versions below 10.11 are no longer supported before updating the client.